## The Choleski Decomposition

## Usage

    chol(x)

## Arguments

`x` | a symmetric positive-definite matrix.

## Value

This function computes the Choleski factorization of the square matrix `x`. It returns the upper triangular factor of the decomposition, i.e., the matrix R such that R'R = x (see example).

Note that effectively, only the upper triangular part of `x` is used such that the above only holds when `x` is symmetric.

## References

Dongarra, J. J., J. R. Bunch, C. B. Moler and G. W. Stewart (1978). LINPACK Users Guide. Philadelphia: SIAM Publications.

## See Also

`chol2inv` for its inverse, `backsolve` for solving linear systems with upper triangular left sides.

`qr`, `svd` for related matrix factorizations.

## Examples

    ( m <- matrix(c(5,1,1,3),2,2) )
    ( cm <- chol(m) )
    t(cm) %*% cm  #-- = 'm'
    all(abs(m  -  t(cm) %*% cm) < 100* .Machine$double.eps) # TRUE

[Package Contents]